/** Copyright (C) 2008 Thomas Deselaers
 * 
 * @file    pngfile.h
 * @author  Thomas Deselaers <deselaers@i6.informatik.rwth-aachen.de>
 * @brief   functions to access png files using the png library.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 * 
 * $Id: pngfile.h,v 1.2 2008-02-25 15:54:28 dreuw Exp $
 * 
 */
#ifndef PNG_FILE_H
#define PNG_FILE_H

#include <png.h>    
#include <stdio.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif
  
  /* Read INFO PNG file. */
  int read_png_info(const char *file_name, unsigned int *xdim, unsigned int *ydim, unsigned int *ctype);
    
  /* Read a PNG file. */
  void read_png(const char *file_name, png_byte **row_pointers, unsigned int *xdim, unsigned int *ydim);

  /* write a png file */
  void write_png(const char *file_name, png_byte *image, unsigned int width, unsigned int height, unsigned int bit_depth, unsigned int SamplesPerPixel);

  /* free memory */
  void free_png(png_bytep *row_pointers, unsigned int height);

  
#ifdef __cplusplus
}		/* extern "C" */
#endif	/* __cplusplus */


#endif /* PNG_FILE */
